<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"><html xmlns="http://www.w3.org/1999/xhtml"><head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<a class="dashingAutolink" name="autolink-366"></a><a class="dashAnchor" name="//apple_ref/cpp/Package/XHXKit%3A%20BMDragCellCollectionView%28%29%E5%88%86%E7%B1%BB%20%E5%8F%82%E8%80%83"></a><title>XHXKit: BMDragCellCollectionView()分类 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &nbsp;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('category_b_m_drag_cell_collection_view_07_08.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow" onmouseover="return searchBox.OnSearchSelectShow()" onmouseout="return searchBox.OnSearchSelectHide()" onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#properties">属性</a> |
<a href="category_b_m_drag_cell_collection_view_07_08-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">BMDragCellCollectionView()分类 参考</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tbody><tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="properties"></a>
属性</h2></td></tr>
<tr class="memitem:ad25d6ae70c2e7010a5a09a27d3ca2994"><td class="memItemLeft" align="right" valign="top">UIView *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html#ad25d6ae70c2e7010a5a09a27d3ca2994">snapedView</a></td></tr>
<tr class="memdesc:ad25d6ae70c2e7010a5a09a27d3ca2994"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">截图快照  <a href="category_b_m_drag_cell_collection_view_07_08.html#ad25d6ae70c2e7010a5a09a27d3ca2994">更多...</a><br/></td></tr>
<tr class="separator:ad25d6ae70c2e7010a5a09a27d3ca2994"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:adffb99cc351d1d58e7fa6837661116ae"><td class="memItemLeft" align="right" valign="top">UILongPressGestureRecognizer *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html#adffb99cc351d1d58e7fa6837661116ae">longGesture</a></td></tr>
<tr class="memdesc:adffb99cc351d1d58e7fa6837661116ae"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">长按手势  <a href="category_b_m_drag_cell_collection_view_07_08.html#adffb99cc351d1d58e7fa6837661116ae">更多...</a><br/></td></tr>
<tr class="separator:adffb99cc351d1d58e7fa6837661116ae"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ae0b276c46d0e7dc9c1dbe161f68ee067"><td class="memItemLeft" align="right" valign="top">CADisplayLink *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html#ae0b276c46d0e7dc9c1dbe161f68ee067">edgeTimer</a></td></tr>
<tr class="memdesc:ae0b276c46d0e7dc9c1dbe161f68ee067"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">定时器  <a href="category_b_m_drag_cell_collection_view_07_08.html#ae0b276c46d0e7dc9c1dbe161f68ee067">更多...</a><br/></td></tr>
<tr class="separator:ae0b276c46d0e7dc9c1dbe161f68ee067"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:aec345a92b7c7284e0deb2e5a39dc01b0"><td class="memItemLeft" align="right" valign="top">NSIndexPath *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html#aec345a92b7c7284e0deb2e5a39dc01b0">oldIndexPath</a></td></tr>
<tr class="memdesc:aec345a92b7c7284e0deb2e5a39dc01b0"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">旧的IndexPath  <a href="category_b_m_drag_cell_collection_view_07_08.html#aec345a92b7c7284e0deb2e5a39dc01b0">更多...</a><br/></td></tr>
<tr class="separator:aec345a92b7c7284e0deb2e5a39dc01b0"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a83f02fc709decf52fe8f8b36ab95d2fc"><td class="memItemLeft" align="right" valign="top">NSIndexPath *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html#a83f02fc709decf52fe8f8b36ab95d2fc">currentIndexPath</a></td></tr>
<tr class="memdesc:a83f02fc709decf52fe8f8b36ab95d2fc"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">当前路径  <a href="category_b_m_drag_cell_collection_view_07_08.html#a83f02fc709decf52fe8f8b36ab95d2fc">更多...</a><br/></td></tr>
<tr class="separator:a83f02fc709decf52fe8f8b36ab95d2fc"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:a251ad55420ac4ce26cb8856b1d40de52"><td class="memItemLeft" align="right" valign="top">CGPoint&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html#a251ad55420ac4ce26cb8856b1d40de52">oldPoint</a></td></tr>
<tr class="memdesc:a251ad55420ac4ce26cb8856b1d40de52"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">旧的位置  <a href="category_b_m_drag_cell_collection_view_07_08.html#a251ad55420ac4ce26cb8856b1d40de52">更多...</a><br/></td></tr>
<tr class="separator:a251ad55420ac4ce26cb8856b1d40de52"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:ab6cdbfa0c03cea792759586b6f3fb107"><td class="memItemLeft" align="right" valign="top">CGPoint&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html#ab6cdbfa0c03cea792759586b6f3fb107">lastPoint</a></td></tr>
<tr class="memdesc:ab6cdbfa0c03cea792759586b6f3fb107"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">最后的触摸点  <a href="category_b_m_drag_cell_collection_view_07_08.html#ab6cdbfa0c03cea792759586b6f3fb107">更多...</a><br/></td></tr>
<tr class="separator:ab6cdbfa0c03cea792759586b6f3fb107"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
<tr class="memitem:af3dc37858f8f8313af526f13bc226a65"><td class="memItemLeft" align="right" valign="top">BOOL&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html#af3dc37858f8f8313af526f13bc226a65">isEndDrag</a></td></tr>
<tr class="memdesc:af3dc37858f8f8313af526f13bc226a65"><td class="mdescLeft">&nbsp;</td><td class="mdescRight">是否正在拖动  <a href="category_b_m_drag_cell_collection_view_07_08.html#af3dc37858f8f8313af526f13bc226a65">更多...</a><br/></td></tr>
<tr class="separator:af3dc37858f8f8313af526f13bc226a65"><td class="memSeparator" colspan="2">&nbsp;</td></tr>
</tbody></table>
<h2 class="groupheader">属性说明</h2>
<a id="a83f02fc709decf52fe8f8b36ab95d2fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83f02fc709decf52fe8f8b36ab95d2fc">◆&nbsp;</a></span>currentIndexPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSIndexPath*) currentIndexPath</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>当前路径 </p>

</div>
</div>
<a id="ae0b276c46d0e7dc9c1dbe161f68ee067"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0b276c46d0e7dc9c1dbe161f68ee067">◆&nbsp;</a></span>edgeTimer</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CADisplayLink*) edgeTimer</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>定时器 </p>

</div>
</div>
<a id="af3dc37858f8f8313af526f13bc226a65"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af3dc37858f8f8313af526f13bc226a65">◆&nbsp;</a></span>isEndDrag</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (BOOL) isEndDrag</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>是否正在拖动 </p>

</div>
</div>
<a id="ab6cdbfa0c03cea792759586b6f3fb107"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6cdbfa0c03cea792759586b6f3fb107">◆&nbsp;</a></span>lastPoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGPoint) lastPoint</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>最后的触摸点 </p>

</div>
</div>
<a id="adffb99cc351d1d58e7fa6837661116ae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adffb99cc351d1d58e7fa6837661116ae">◆&nbsp;</a></span>longGesture</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UILongPressGestureRecognizer*) longGesture</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>长按手势 </p>

</div>
</div>
<a id="aec345a92b7c7284e0deb2e5a39dc01b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec345a92b7c7284e0deb2e5a39dc01b0">◆&nbsp;</a></span>oldIndexPath</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (NSIndexPath*) oldIndexPath</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>旧的IndexPath </p>

</div>
</div>
<a id="a251ad55420ac4ce26cb8856b1d40de52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a251ad55420ac4ce26cb8856b1d40de52">◆&nbsp;</a></span>oldPoint</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (CGPoint) oldPoint</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">assign</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>旧的位置 </p>

</div>
</div>
<a id="ad25d6ae70c2e7010a5a09a27d3ca2994"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad25d6ae70c2e7010a5a09a27d3ca2994">◆&nbsp;</a></span>snapedView</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tbody><tr>
  <td class="mlabels-left">
      <table class="memname">
        <tbody><tr>
          <td class="memname">- (UIView*) snapedView</td>
        </tr>
      </tbody></table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">read</span><span class="mlabel">write</span><span class="mlabel">nonatomic</span><span class="mlabel">strong</span></span>  </td>
  </tr>
</tbody></table>
</div><div class="memdoc">

<p>截图快照 </p>

</div>
</div>
<hr/>该分类的文档由以下文件生成:<ul>
<li>/Users/scar1900/Developer/XHXKit/XHXKit/Classes/BMDragCellCollectionView/<a class="el" href="_b_m_drag_cell_collection_view_8m.html">BMDragCellCollectionView.m</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="category_b_m_drag_cell_collection_view_07_08.html">BMDragCellCollectionView()</a></li>
    <li class="footer">制作者 <a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20 </li>
  </ul>
</div>


</body></html>